#version 430
#define RANGE 2048.0

uniform mat4 cam_mat;
layout(location=0) in vec3 vtx_Pos;
smooth out vec4 frag_Pos;

void main(void) {
	vec4 vtx = vec4(mix(vec2(-RANGE/4), vec2(RANGE/4), vtx_Pos.xy), -0.0039, 1.0);
	frag_Pos = vtx;
	gl_Position = cam_mat * vtx;
}
